import request from '@/utils/request'

// 查询AI适配场景关联配置信息列表
export function listAiSceneTable(query) {
  return request({
    url: '/sfa/aiSceneTable/list',
    method: 'get',
    params: query
  })
}
export function listAllAiSceneTable(query) {
  return request({
    url: '/sfa/aiSceneTable/listAll',
    method: 'get',
    params: query
  })
}
export function listAllaiSceneConditionType(query) {
  return request({
    url: '/sfa/aiSceneConditionType/listAll',
    method: 'get',
    params: query
  })
}
export function listaiSceneConditionType(query) {
  return request({
    url: '/sfa/aiSceneCondition/listAll',
    method: 'get',
    params: query
  })
}
// 查询AI适配场景关联配置信息详细
export function getAiSceneTable(sceneTableId) {
  return request({
    url: '/sfa/aiSceneTable/' + sceneTableId,
    method: 'get'
  })
}

// 新增AI适配场景关联配置信息
export function addAiSceneTable(data) {
  return request({
    url: '/sfa/aiSceneTable',
    method: 'post',
    data: data
  })
}

// 修改AI适配场景关联配置信息
export function updateAiSceneTable(data) {
  return request({
    url: '/sfa/aiSceneTable',
    method: 'put',
    data: data
  })
}

// 删除AI适配场景关联配置信息
export function delAiSceneTable(sceneTableId) {
  return request({
    url: '/sfa/aiSceneTable/' + sceneTableId,
    method: 'delete'
  })
}
